# std::exponential_distribution::exponential_distribution

From cppreference.com
< cpp‎ | numeric‎ | random‎ | exponential distribution

explicit exponential_distribution( RealType lambda = 1.0 ); | (1) | (since C++11)
explicit exponential_distribution( const param_type& params ); | (2) | (since C++11)

Constructs a new distribution object. The first version uses `lambda` as the distribution parameter, the second version uses `params` as the distribution parameter.

### Parameters

lambda | - | the λ distribution parameter (the rate parameter)
params | - | the distribution parameter set

### Notes

Requires that 0 < lambda.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/exponential_distribution/exponential_distribution&oldid=62894"